#!/bin/bash
# test the hadoop cluster by running wordcount

# create input files 
mkdir -p input
echo "Hello Docker" > input/file2.txt
echo "Hello Hadoop" > input/file1.txt

# remove input and output folder if it exists
hadoop fs -rm -R input &> /dev/null
hadoop fs -rm -R output &> /dev/null

# create input directory on HDFS
hadoop fs -mkdir -p input

# put input files to HDFS
hdfs dfs -put ./input/* input

# run wordcount 
hadoop jar $HADOOP_HOME/share/hadoop/mapreduce/sources/hadoop-mapreduce-examples-2.8.0-sources.jar org.apache.hadoop.examples.WordCount input output

# print the input files
echo -e "\nInput file1.txt:"
hdfs dfs -cat input/file1.txt

echo -e "\nInput file2.txt:"
hdfs dfs -cat input/file2.txt

# print the output of wordcount
echo -e "\nWordcount output:"
hdfs dfs -cat output/part-r-00000

